Bug 116850 - gkrellm sensors shows 10x high temperature since kernel 2.6.2
gkrellm sensors shows 10x high temperature since kernel 2.6.2
Product: Fedora
Classification: Fedora
Component: gkrellm (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Depends On:
  Show dependency treegraph
Reported: 2004-02-25 13:56 EST by Kir Kolyshkin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-25 16:19:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kir Kolyshkin 2004-02-25 13:56:48 EST
Description of problem:
Since kernel-2.6.2 gkrellm shows all temp. values from sensors ten
times higher as they are (e.g. 370 deg. Celsius instead of 37 deg.).
This is caused by change of kernel's sysfs sensors temp. multiplier,
which was 100 and become 1000. According to Bill Wilson
<billw@wt.net>, the problem is fixed in gkrellm version 2.1.26.

Version-Release number of selected component (if applicable):
$ rpm -q gkrellm

How reproducible:

Steps to Reproduce:
1. Load kernel-2.6.2 or later, load lm_sensors modules for you HW
2. Start gkrellm, enable some temperature sensors in

Actual results:
All temperatures shown in gkrellm are ten times higher.

Expected results:
Values of temperatures shown should be the same as in 'sensors' output.

Additional info:
Comment 1 Kir Kolyshkin 2004-02-25 13:59:17 EST
This is an actual letter from Bill Wilson to gkrellm mailing list that
 explains the problem:

Date: Wed, 25 Feb 2004 00:58:12 -0600
From: Bill Wilson <billw@wt.net>
To: gkrellm@nalens.com
On Tue, 24 Feb 2004 13:30:44 -0500
"Kurt V. Hindenburg" <khindenburg@cherrynebula.net> wrote:

> A couple of days ago, I upgrade to kernel-2.6.3 and changed from devfs 
> to udev.  This seems to have messed up my sensors in gkrellm2.
> MB 248.0F
> CPU 599.0F - 725.0F
> I'm not really sure if udev is the problem or perhaps 2.6.3.

This problem actually is with the kernel sysfs temperature factor
value.  In a nutshell:

1) Originally the temperature factor was 100.
2) The spec changed to 1000 but not all kernel sensor drivers were
updated to this new factor.
3) Gkrellm was coded to expect the 100 factor and I did not notice
the spec change to 1000 since the kernel driver for my sensor chip
did not get updated to the 1000 value until 2.6.2.

The gkrellm 2.1.26 version I just put up Monday now uses the 1000 factor.
So, either you can upgrade to gkrellm 2.1.26 and all will be fine, or
you can set your temperature factors to 0.1 in your current gkrellm's
sensors config.

In general:

If using gkrellm 2.1.26 and a Linux kernel >= 2.6.2, everybody should be
able to have gkrellm temperature config factors of 1.0.

If using gkrellm <= 2.1.25 and Linux kernel >= 2.6.2, some of you
will need to set gkrellm temperature config factors of 0.1.

If using gkrellm 2.1.26 and Linux 2.6.1 or 2.6.0, some will need 10.0

If using gkrellm <= 2.1.25 and Linux 2.6.1 or 2.6.0, some will need
0.1 factors.

Oh, and the factors are applied to temperatures in centigrade units before
conversion to fahrenheit, so a 0.1 factor applied to the
"CPU 599.0F - 725.0F" above gets "CPU 88.7F - 101.3F"



To unsubscribe, e-mail: gkrellm-unsubscribe@nalens.com
For additional commands, e-mail: gkrellm-help@nalens.com
Comment 2 Karsten Hopp 2004-02-25 16:19:25 EST
new version built in fc2-development. 
Thanks for bringing this up ! 
Comment 3 Kir Kolyshkin 2004-02-27 17:45:43 EST
Verified: using gkrellm-2.1.26-1 temperatures are OK now.

Note You need to log in before you can comment on or make changes to this bug.